/*
 * Copyright (c) Developers of JTowers
 * Redistributable and modifiable. Please see license.readme for details.
 *
 * ammendment history
 * <date>			<changed by>		<summary of changes>
 * 18 August 2004	Jonee Ryan Ty		First documented history
 *
 */
 
class Disk 
{
	public int 	x,			// upper left coordinates of this disk
				y;
	
	private int diskNum,	//the disk number
				width;		// width of this disk when drawn
				
				// width = BASE_WIDTH + ADD_WIDTH_PER_NUM * diskNum
	public static final int BASE_WIDTH = 30,	
	 						ADD_WIDTH_PER_NUM = 8,
	
							HEIGHT = 14;	// height when drawn
	
	public Peg whereContained;	// the peg that contains this disk
	
	public Disk(int x, int y, int diskNum)	
	{
		this.x = x;
		this.y = y;
		
		this.diskNum = diskNum;
		
		width = BASE_WIDTH + ADD_WIDTH_PER_NUM * diskNum;
	}
		
	/**
	*@return width of this disk
	*/
	 
	public int getWidth()
	{
		return this.width;
	}	

	/**
	*@return disk number
	*/
	 
	public int getDiskNum()
	{
		return diskNum;
	}


}//##30
